| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
TBBMessageSvc::MessageWithoutLevel Class Reference

Specialized class to report a message with implicit output level. More...

Inheritance diagram for TBBMessageSvc::MessageWithoutLevel:
[legend]
Collaboration diagram for TBBMessageSvc::MessageWithoutLevel:
[legend]

## Public Member Functions
| MessageWithoutLevel (TBBMessageSvc &svc, Message msg)
virtual void | run () override
| Method to be implemented by the actual task classes. More...
Public Member Functions inherited from TBBMessageSvc::MessageTaskCommon
| MessageTaskCommon (TBBMessageSvc &svc)
Public Member Functions inherited from Gaudi::SerialTaskQueue::WorkItem
virtual | ~WorkItem ()

## Private Attributes
Message | m_msg

## Additional Inherited Members
Protected Attributes inherited from TBBMessageSvc::MessageTaskCommon
TBBMessageSvc & | m_svc
std::thread::id | m_sender

## Detailed Description

Specialized class to report a message with implicit output level.

Definition at line 77 of file TBBMessageSvc.h.

## Constructor & Destructor Documentation

TBBMessageSvc::MessageWithoutLevel::MessageWithoutLevel | ( | TBBMessageSvc & | svc,
|  | Message | msg
| ) |  |
| inline

Definition at line 80 of file TBBMessageSvc.h.

80 : MessageTaskCommon( svc ), m_msg( msg ) {}
TBBMessageSvc::MessageTaskCommon::MessageTaskCommon
MessageTaskCommon(TBBMessageSvc &svc)
Definition: TBBMessageSvc.h:54
TBBMessageSvc::MessageWithoutLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:88

## Member Function Documentation

virtual void TBBMessageSvc::MessageWithoutLevel::run | ( |  | ) |
| inline override virtual

Method to be implemented by the actual task classes.

Implements Gaudi::SerialTaskQueue::WorkItem.

Definition at line 81 of file TBBMessageSvc.h.

82 {
83 const int level = m_svc.outputLevel( m_msg.getSource() );
84 m_svc.i_reportMessage( m_msg, level );
85 }
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:366
TBBMessageSvc::MessageTaskCommon::m_svc
TBBMessageSvc & m_svc
Definition: TBBMessageSvc.h:57
MessageSvc::outputLevel
int outputLevel() const override
Definition: MessageSvc.cpp:592
Message::getSource
const std::string & getSource() const
Get the message source.
Definition: Message.cpp:103
gaudirun.level
level
Definition: gaudirun.py:271
TBBMessageSvc::MessageWithoutLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:88

## Member Data Documentation

Message TBBMessageSvc::MessageWithoutLevel::m_msg
| private

Definition at line 88 of file TBBMessageSvc.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.h